Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# Ogre::Pass::HashFunc Struct Reference

Definition of a functor for calculating the hashcode of a Pass. More...

`#include <OgrePass.h>`

List of all members.

## Public Member Functions
virtual uint32 | operator() (const Pass *p) const =0
virtual | ~HashFunc ()
| Need virtual destructor in case subclasses use it.

## Detailed Description

Definition of a functor for calculating the hashcode of a Pass.

Remarks:
  The hashcode of a Pass is used to sort Passes for rendering, in order to reduce the number of render state changes. Each Pass represents a single unique set of states, but by ordering them, state changes can be minimised between passes. An implementation of this functor should order passes so that the elements that you want to keep constant are sorted next to each other.

See also:
  Pass::setHashFunc

Definition at line 73 of file OgrePass.h.

## Constructor & Destructor Documentation

virtual Ogre::Pass::HashFunc::~HashFunc | ( |  | ) | `[virtual]`

| Need virtual destructor in case subclasses use it. Definition at line 77 of file OgrePass.h.

## Member Function Documentation

virtual uint32 Ogre::Pass::HashFunc::operator() | ( | const Pass * | p | ) | const`[pure virtual]`

The documentation for this struct was generated from the following file:

- OgrePass.h

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Sun Sep 30 10:52:16 2007